# Webhook details

Webhooks can be added or updated through [Settings](/reference/settings.md) > [Integration](/reference/settings/integration.md) > [Webhooks](/reference/settings/integration/webhooks.md).

### Title

A title for the webhook.

### Url

The URL the webook calls.

### Active

Determines if the webhook is active or not.

### Request headers

Request headers that should be added to the webhook requests.

### Events

{% hint style="info" %}
**Tip** Use the search bar, "Check all", "Expand all" and "Collapse all" options to quickly enable the endpoints you want to allow the API key to access.
{% endhint %}

<table><thead><tr><th width="249">Assets</th><th>Request body</th></tr></thead><tbody><tr><td><strong>Asset created</strong><br>Select if you want notifications when a new asset is created</td><td><p></p><pre><code>{
  "AssetIds": [
    12
  ]
}
</code></pre></td></tr><tr><td><strong>Asset deleted</strong><br>Select if you want notifications when a asset is deleted</td><td><pre><code>{
  "AssetIds": [
    12
  ],
  "Models": [
    {
      "AssetId": 12,
      "Identifiers": []
    }
  ]
}
</code></pre></td></tr><tr><td><strong>Asset updated</strong><br>Select if you want notifications when a asset is updated.<br>Enabling this reveals additional <a href="/pages/rxc2oxgEo3dWWDLRtbVg">Advanced settings.</a></td><td><pre><code>{
  "AssetChanges": [
    {
      "Id": 12,
      "NewAssetTags": [
        "microsoft"
      ]
    }
  ],
  "TransactionUid": "4c079ca0-38d6-4768-9b7f-27ca49febaf1"
}
</code></pre></td></tr></tbody></table>

<table><thead><tr><th width="249">Attributes</th><th>Request body</th></tr></thead><tbody><tr><td><strong>Attribute group created</strong><br>Select if you want notifications when an attribute group is created</td><td><p></p><pre><code>{
  "AttributeGroupIds": [
    3
  ]
}
</code></pre></td></tr><tr><td><strong>Attribute group deleted</strong><br>Select if you want notifications when an attribute group is deleted</td><td><p></p><pre><code>{
  "AttributeGroupIds": [
    3
  ]
}
</code></pre></td></tr><tr><td><strong>Attribute group updated</strong><br>Select if you want notifications when an attribute group is updated</td><td><p></p><pre><code>{
  "AttributeGroupIds": [
    3
  ]
}
</code></pre></td></tr><tr><td><strong>Attribute scope created</strong><br>Select if you want notifications when an attribute scope is created</td><td><p></p><pre><code>{
  "AttributeScopeUids": [
    "89a0457a-a6c9-42a6-bec5-92510caaa730"
  ],
  "AttributeScopeAliases": [
    "Alias"
  ]
}
</code></pre></td></tr><tr><td><strong>Attribute scope deleted</strong><br>Select if you want notifications when an attribute scope is deleted</td><td><p></p><pre><code>{
  "AttributeScopeUids": [
    "89a0457a-a6c9-42a6-bec5-92510caaa730"
  ],
  "AttributeScopeAliases": [
    "Alias"
  ]
}
</code></pre></td></tr><tr><td><strong>Attribute scope updated</strong><br>Select if you want notifications when an attribute scope is updated</td><td><p></p><pre><code>{
  "AttributeScopeUids": [
    "89a0457a-a6c9-42a6-bec5-92510caaa730"
  ],
  "AttributeScopeAliases": [
    "Alias"
  ]
}
</code></pre></td></tr><tr><td><strong>Attributes created</strong><br>Select if you want notifications when attributes are created</td><td><p></p><pre><code>{
  "AttributeUids": [
    "2f61b36c-af0f-4c5c-8868-719f09c8bd2b"
  ],
  "AttributeAliases": [
    "Range"
  ]
}
</code></pre></td></tr><tr><td><strong>Attributes deleted</strong><br>Select if you want notifications when attributes are deleted</td><td><p></p><pre><code>{
  "AttributeUids": [
    "2f61b36c-af0f-4c5c-8868-719f09c8bd2b"
  ],
  "AttributeAliases": [
    "Range"
  ]
}
</code></pre></td></tr><tr><td><strong>Attributes updated</strong><br>Select if you want notifications when attributes are updated</td><td><p></p><pre><code>{
  "AttributeUids": [
    "2f61b36c-af0f-4c5c-8868-719f09c8bd2b"
  ],
  "AttributeAliases": [
    "Range"
  ]
}
</code></pre></td></tr></tbody></table>

<table><thead><tr><th width="248.5">Categories</th><th>Request body</th></tr></thead><tbody><tr><td><strong>Attributes added to categories</strong><br>Select if you want notifications when attributes are added to categories</td><td><p></p><pre><code>{
  "AddedAttributes": [
    {
      "CategoryId": 511,
      "AttributeUid": "4a50a6d7-09e8-4af4-9503-c0bdd23a9a40",
      "AttributeAlias": "Alias",
      "EditableOnEntities": 0
    }
  ]
}
</code></pre></td></tr><tr><td><strong>Attributes removed from categories</strong><br>Select if you want notifications when attributes are removed from categories</td><td><p></p><pre><code>{
  "RemovedAttributes": [
    {
      "CategoryId": 511,
      "AttributeUid": "4a50a6d7-09e8-4af4-9503-c0bdd23a9a40",
      "AttributeAlias": "Alias"
    }
  ]
}
</code></pre></td></tr><tr><td><strong>Attributes updated on categories</strong><br>Select if you want notifications when attributes are updated on categories</td><td><p></p><pre><code>{
  "UpdatedAttributes": [
    {
      "CategoryId": 511,
      "AttributeUid": "4a50a6d7-09e8-4af4-9503-c0bdd23a9a40",
      "AttributeAlias": "Alias",
      "EditableOnEntities": 2
    }
  ]
}
</code></pre></td></tr><tr><td><strong>Categories created</strong><br>Select if you want notifications when categories are created</td><td><p></p><pre><code>{
  "CategoryIds": [
    518
  ]
}
</code></pre></td></tr><tr><td><strong>Categories deleted</strong><br>Select if you want notifications when categories are deleted</td><td><p></p><pre><code>{
  "CategoryIds": [
    518
  ],
  "Models": [
    {
      "CategoryId": 518,
      "Identifiers": [
        {
          "IdentifierDefinitionUid": "269780f6-5ba6-421a-a94b-017522e6387c",
          "IdentifierAlias": "Alias",
          "Value": "Hardware"
        }
      ]
    }
  ]
}
</code></pre></td></tr><tr><td><strong>Categories updated</strong><br>Select if you want notifications when categories are updated.<br>Enabling this reveals additional <a href="/pages/rxc2oxgEo3dWWDLRtbVg">Advanced settings.</a></td><td><p></p><pre><code>{
  "CategoryChanges": [
    {
      "Id": 518,
      "UpdatedAttributes": [
        "Name"
      ]
    }
  ],
  "TransactionUid": "2df55936-6c92-4a93-b600-9737a9229b31"
}
</code></pre></td></tr></tbody></table>

<table><thead><tr><th width="249">Catalogues</th><th>Request body</th></tr></thead><tbody><tr><td><strong>Catalogues created</strong><br>Select if you want notifications when catalogues are created</td><td><p></p><pre><code>{
  "CatalogueUid": "a66ab116-415d-4d19-b4e7-8f63115195f3",
  "CatalogueAlias": "SideCatalogue"
}
</code></pre></td></tr><tr><td><strong>Catalogue deleted</strong><br>Select if you want notifications when a catalogue is deleted</td><td><p></p><pre><code>{
  "CatalogueUid": "a66ab116-415d-4d19-b4e7-8f63115195f3",
  "CatalogueAlias": "SideCatalogue"
}
</code></pre></td></tr><tr><td><strong>Catalogue updated</strong><br>Select if you want notifications when a catalogue is updated</td><td><p></p><pre><code>{
  "CatalogueUid": "a66ab116-415d-4d19-b4e7-8f63115195f3",
  "ProductStructureAlias": "SideCatalogue"
}
</code></pre></td></tr></tbody></table>

<table><thead><tr><th width="248.5">Enrichment insights</th><th>Request body</th></tr></thead><tbody><tr><td><strong>Enrichment insights changed</strong><br>Select if you want notifications when an enrichment insight changes.<br>Enabling this reveals additional <a href="/pages/rxc2oxgEo3dWWDLRtbVg">Advanced settings.</a></td><td><p></p><pre><code>{
  "EnrichmentInsightChanges": [],
  "TransactionUid": "6c8537a0-3d7c-4c8f-a5b6-d3d28febabfe"
}
</code></pre></td></tr></tbody></table>

<table><thead><tr><th width="249">Workflows</th><th>Request body</th></tr></thead><tbody><tr><td><strong>Workflow States Changed</strong><br>Select if you want notifications when workflow states are changed</td><td><p></p><pre><code>[
  {
    "EntityType": 20,
    "EntityId": 3968,
    "WorkflowStateUid": "7b6316f8-d05d-4a0e-8e9d-2f1e1b58feb0"
  }
]
</code></pre></td></tr></tbody></table>

<table><thead><tr><th width="248.5">Global lists</th><th>Request body</th></tr></thead><tbody><tr><td><strong>Global list created</strong><br>Select if you want notifications when a new global list is created</td><td><p></p><pre><code>{
  "GlobalListUids": [
    "b186c54c-353d-4172-9cc8-c8c62c4fadfb"
  ],
  "TransactionUid": "edc6e7ce-a028-4fda-a628-556a14b8bd8a"
}
</code></pre></td></tr><tr><td><strong>Global list deleted</strong><br>Select if you want notifications when a global list is deleted</td><td><p></p><pre><code>[
  {
    "Uid": "b186c54c-353d-4172-9cc8-c8c62c4fadfb",
    "Alias": "Cables",
    "TransactionUid": "07c822d9-8785-4243-8d28-743d21a46006"
  }
]
</code></pre></td></tr><tr><td><strong>Global list updated</strong><br>Select if you want notifications when a global list is updated</td><td><p></p><pre><code>[
  {
    "Uid": "b186c54c-353d-4172-9cc8-c8c62c4fadfb",
    "Alias": "Cables",
    "TransactionUid": "ee2f8b98-e77c-4d20-a396-61c4d3580bc2"
  }
]
</code></pre></td></tr><tr><td><strong>Global list value created</strong><br>Select if you want notifications when a new global list value is created</td><td><p></p><pre><code>[
  {
    "GlobalListUid": "54d86bcf-0bbb-481a-9e6e-855f3711a233",
    "GlobalListAlias": "Sizes",
    "Uid": "2090431a-ab04-447c-8040-8ab5d4a29c67",
    "TransactionUid": "fbfee887-fa7c-493e-ae3a-2299d55e95c6"
  }
]
</code></pre></td></tr><tr><td><strong>Global list value deleted</strong><br>Select if you want notifications when a global list value is deleted</td><td><p></p><pre><code>[
  {
    "GlobalListUid": "54d86bcf-0bbb-481a-9e6e-855f3711a233",
    "GlobalListAlias": "Sizes",
    "Uid": "2090431a-ab04-447c-8040-8ab5d4a29c67",
    "TransactionUid": "b73124ff-ae27-4ea7-83bf-f85a129f6ca0"
  }
]
</code></pre></td></tr><tr><td><strong>Global list value updated</strong><br>Select if you want notifications when a global list value is updated</td><td><p></p><pre><code>[
  {
    "GlobalListUid": "54d86bcf-0bbb-481a-9e6e-855f3711a233",
    "GlobalListAlias": "Sizes",
    "Uid": "2090431a-ab04-447c-8040-8ab5d4a29c67",
    "TransactionUid": "87c7c7e1-f539-40b5-a8e9-022c00b3c2e3"
  }
]
</code></pre></td></tr></tbody></table>

<table><thead><tr><th width="249">Languages</th><th>Request body</th></tr></thead><tbody><tr><td><strong>Language created</strong><br>Select if you want notifications when a language is created</td><td><p></p><pre><code>{
  "LanguageId": 9
}
</code></pre></td></tr><tr><td><strong>Language deleted</strong><br>Select if you want notifications when a language is deleted</td><td><p></p><pre><code>{
  "LanguageId": 9
}
</code></pre></td></tr><tr><td><strong>Language updated</strong><br>Select if you want notifications when a language is updated</td><td><p></p><pre><code>{
  "LanguageId": 9
}
</code></pre></td></tr></tbody></table>

<table><thead><tr><th width="249">Products</th><th>Request body</th></tr></thead><tbody><tr><td><strong>Product created</strong><br>Select if you want notifications when a new product is created</td><td><p></p><pre><code>{
  "ProductIds": [
    4611
  ]
}
</code></pre></td></tr><tr><td><strong>Product deleted</strong><br>Select if you want notifications when a product is deleted</td><td><p></p><pre><code>{
  "ProductIds": [
    4611
  ],
  "Models": [
    {
      "ProductId": 4611,
      "Identifiers": []
    }
  ]
}
</code></pre></td></tr><tr><td><strong>Product updated</strong><br>Select if you want notifications when a product is updated.<br>Enabling this reveals additional <a href="/pages/rxc2oxgEo3dWWDLRtbVg">Advanced settings.</a></td><td><p></p><pre><code>{
  "ProductChanges": [
    {
      "Id": 4611,
      "UpdatedAttributes": [
        "Description"
      ]
    }
  ],
  "TransactionUid": "7b5a8994-d146-40cd-8e5a-76045e30a74d"
}
</code></pre></td></tr></tbody></table>

<table><thead><tr><th width="248.5">Product structures</th><th>Request body</th></tr></thead><tbody><tr><td><strong>Product structure created</strong><br>Select if you want notifications when a new product structure is created</td><td><p></p><pre><code>{
  "ProductStructureUid": "e6e5aec0-8c8e-4857-92b1-af6d3e918ec1",
  "ProductStructureAlias": "Hardware"
}
</code></pre></td></tr><tr><td><strong>Product structure deleted</strong><br>Select if you want notifications when a product structure is deleted</td><td><p></p><pre><code>{
  "ProductStructureUid": "e6e5aec0-8c8e-4857-92b1-af6d3e918ec1",
  "ProductStructureAlias": "Hardware"
}
</code></pre></td></tr><tr><td><strong>Product structure updated</strong><br>Select if you want notifications when a product structure is updated</td><td><p></p><pre><code>{
  "ProductStructureUid": "e6e5aec0-8c8e-4857-92b1-af6d3e918ec1",
  "ProductStructureAlias": "Hardware"
}
</code></pre></td></tr></tbody></table>

<table><thead><tr><th width="249">Variant groups</th><th>Request body</th></tr></thead><tbody><tr><td><strong>Variant group created</strong><br>Select if you want notifications when a new variant group is created</td><td><p></p><pre><code>{
  "VariantGroupIds": [
    15
  ]
}
</code></pre></td></tr><tr><td><strong>Variant group deleted</strong><br>Select if you want notifications when a variant group is deleted</td><td><p></p><pre><code>{
  "VariantGroupIds": [
    15
  ],
  "Models": [
    {
      "VariantGroupId": 15,
      "Identifiers": []
    }
  ]
}
</code></pre></td></tr><tr><td><strong>Variant group updated</strong><br>Select if you want notifications when a variant group is updated.<br>Enabling this reveals additional <a href="/pages/rxc2oxgEo3dWWDLRtbVg">Advanced settings.</a></td><td><p></p><pre><code>{
  "VariantGroupChanges": [
    {
      "Id": 15,
      "UpdatedAttributes": [
        "Size"
      ]
    }
  ],
  "TransactionUid": "651b8eb4-4ebd-4ddc-9a0b-2de61c34de2b"
}
</code></pre></td></tr></tbody></table>

<table><thead><tr><th width="248.5">Variants</th><th>Request body</th></tr></thead><tbody><tr><td><strong>Variant created</strong><br>Select if you want notifications when a new variant is created</td><td><p></p><pre><code>{
  "VariantIds": [
    15239
  ]
}
</code></pre></td></tr><tr><td><strong>Variant deleted</strong><br>Select if you want notifications when a variant is deleted</td><td><p></p><pre><code>{
  "VariantIds": [
    15239
  ],
  "Models": [
    {
      "VariantId": 15239,
      "Identifiers": []
    }
  ]
}
</code></pre></td></tr><tr><td><strong>Variant updated</strong><br>Select if you want notifications when a variant is updated.<br>Enabling this reveals additional <a href="/pages/rxc2oxgEo3dWWDLRtbVg">Advanced settings.</a></td><td><p></p><pre><code>{
  "VariantChanges": [
    {
      "Id": 15239,
      "UpdatedAttributes": [
        "Color"
      ]
    }
  ],
  "TransactionUid": "bf404efa-93d2-4149-b0d3-c95abbd27242"
}
</code></pre></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/reference/settings/integration/webhooks/webhook-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
